{% set name = "google-cloud-vision" %}
{% set version = "2.7.1" %}

package:
  name: {{ name|lower }}
  version: {{ version }}

source:
  url: https://pypi.io/packages/source/{{ name[0] }}/{{ name }}/{{ name }}-{{ version }}.tar.gz
  sha256: 4f2f340bbdcadff4de6ec7521e29e6a76cbc4ca80e7eda93e4f20369fab51a03

build:
  number: 0
  noarch: python
  script: {{ PYTHON }} -m pip install . --no-deps -vv

requirements:
  host:
    - python >=3.6
    - pip
    - google-api-core-grpc
    - proto-plus
    - packaging
  run:
    - python >=3.6
    - pip >=18.1
    - google-api-core-grpc >=1.26.0,<2.0.0dev
    - proto-plus >=1.15.0
    - packaging >=14.3

test:
  imports:
    - google.cloud.vision
    - google.cloud.vision_helpers
    - google.cloud.vision_helpers.decorators
    - google.cloud.vision_v1
    - grpc

about:
  home: https://github.com/googleapis/python-vision
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Python Client for Google Cloud Vision
  description: |
    Python Client for Google Cloud Vision
    -------------------------

    The [Google Cloud Vision](https://cloud.google.com/vision/) API enables developers to
    understand the content of an image by encapsulating powerful machine
    learning models in an easy to use REST API. It quickly classifies images
    into thousands of categories (e.g., "sailboat", "lion", "Eiffel Tower"),
    detects individual objects and faces within images, and finds and reads
    printed words contained within images. You can build metadata on your
    image catalog, moderate offensive content, or enable new marketing
    scenarios through image sentiment analysis. Analyze images uploaded
    in the request or integrate with your image storage on Google Cloud
    Storage.

    - [Client Library Documentation](https://googleapis.dev/python/vision/latest/index.html)
    - [Product Documentation](https://cloud.google.com/vision/reference/rest/)

    Quick Start
    -----------

    In order to use this library, you first need to go through the following steps:

    1. [Select or create a Cloud Platform project.](https://console.cloud.google.com/project)
    2. [Enable billing for your project.](https://cloud.google.com/billing/docs/how-to/modify-project#enable_billing_for_a_project)
    3. [Enable the Google Cloud Language API.](https://cloud.google.com/natural-language)
    4. [Setup Authentication.](https://googleapis.github.io/google-cloud-python/latest/core/auth.html)

    Supported Python Versions
    -----------
    Python >= 3.6

  doc_url: https://googleapis.dev/python/vision/latest/index.html
  dev_url: https://github.com/googleapis/python-vision

extra:
  recipe-maintainers:
    - BrentDorsey
    - parthea
